package com.atguigu.tingshu.album.service;

import com.atguigu.tingshu.model.album.AlbumInfo;
import com.atguigu.tingshu.vo.album.TrackMediaInfoVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface VodService {


    /**
     * 文本审核
     * @param content
     * @return
     */
    String scanText(String content);


    /**
     * 图片审核
     * @param file 图片文件
     * @return
     */
    String scanImage(MultipartFile file);

    /**
     * SpringBoot提供异步任务（开启子线程执行）
     * 异步任务审核
     *
     * @param albumInfo
     */
    void reviewAlbumText(AlbumInfo albumInfo);

    /**
     * 上传音视频到点播平台
     * @param file
     * @return
     */
    Map<String, String> uploadTrack(MultipartFile file);

    /**
     * 调用点播平台获取音频文件详情得到：时长、大小、类型
     * @param mediaFileId
     * @return
     */
    TrackMediaInfoVo getMediaInfo(String mediaFileId);

    /**
     * 从点播平台删除音频文件
     * @param oldMediaFileId
     */
    void deleteMedia(String mediaFileId);

    /**
     * 发起音视频审核任务
     * @param mediaFileId 音频文件ID
     * @return 审核任务ID
     */
    String startReviewTask(String mediaFileId);

    /**
     * 根据审核任务ID 查询审核结果
     * @param reviewTaskId
     * @return
     */
    String getReviewTaskResult(String reviewTaskId);
}
